json-c: json_tokener.h File Reference

# json_tokener.h File Reference

## Data Structures
struct | json_tokener_srec
struct | json_tokener
## Defines
#define | JSON_TOKENER_MAX_DEPTH 32
## Enumerations
enum | json_tokener_error { json_tokener_success, json_tokener_continue, json_tokener_error_depth, json_tokener_error_parse_eof, json_tokener_error_parse_unexpected, json_tokener_error_parse_null, json_tokener_error_parse_boolean, json_tokener_error_parse_number, json_tokener_error_parse_array, json_tokener_error_parse_object_key_name, json_tokener_error_parse_object_key_sep, json_tokener_error_parse_object_value_sep, json_tokener_error_parse_string, json_tokener_error_parse_comment }
enum | json_tokener_state { json_tokener_state_eatws, json_tokener_state_start, json_tokener_state_finish, json_tokener_state_null, json_tokener_state_comment_start, json_tokener_state_comment, json_tokener_state_comment_eol, json_tokener_state_comment_end, json_tokener_state_string, json_tokener_state_string_escape, json_tokener_state_escape_unicode, json_tokener_state_boolean, json_tokener_state_number, json_tokener_state_array, json_tokener_state_array_add, json_tokener_state_array_sep, json_tokener_state_object_field_start, json_tokener_state_object_field, json_tokener_state_object_field_end, json_tokener_state_object_value, json_tokener_state_object_value_add, json_tokener_state_object_sep }
## Functions
struct json_tokener * | json_tokener_new (void)
void | json_tokener_free (struct json_tokener *tok)
void | json_tokener_reset (struct json_tokener *tok)
struct json_object * | json_tokener_parse (const char *str)
struct json_object * | json_tokener_parse_ex (struct json_tokener *tok, const char *str, int len)
## Variables
const char * | json_tokener_errors []

## Define Documentation

#define JSON_TOKENER_MAX_DEPTH 32

## Enumeration Type Documentation

enum json_tokener_error

Enumerator:

  json_tokener_success |
  json_tokener_continue |
  json_tokener_error_depth |
  json_tokener_error_parse_eof |
  json_tokener_error_parse_unexpected |
  json_tokener_error_parse_null |
  json_tokener_error_parse_boolean |
  json_tokener_error_parse_number |
  json_tokener_error_parse_array |
  json_tokener_error_parse_object_key_name |
  json_tokener_error_parse_object_key_sep |
  json_tokener_error_parse_object_value_sep |
  json_tokener_error_parse_string |
  json_tokener_error_parse_comment |

enum json_tokener_state

Enumerator:

  json_tokener_state_eatws |
  json_tokener_state_start |
  json_tokener_state_finish |
  json_tokener_state_null |
  json_tokener_state_comment_start |
  json_tokener_state_comment |
  json_tokener_state_comment_eol |
  json_tokener_state_comment_end |
  json_tokener_state_string |
  json_tokener_state_string_escape |
  json_tokener_state_escape_unicode |
  json_tokener_state_boolean |
  json_tokener_state_number |
  json_tokener_state_array |
  json_tokener_state_array_add |
  json_tokener_state_array_sep |
  json_tokener_state_object_field_start |
  json_tokener_state_object_field |
  json_tokener_state_object_field_end |
  json_tokener_state_object_value |
  json_tokener_state_object_value_add |
  json_tokener_state_object_sep |

## Function Documentation

void json_tokener_free | ( | struct json_tokener * | tok | ) |

struct json_tokener* json_tokener_new | ( | void |  | ) | `[read]`

struct json_object* json_tokener_parse | ( | const char * | str | ) | `[read]`

struct json_object* json_tokener_parse_ex | ( | struct json_tokener * | tok,
|  | const char * | str,
|  | int | len |
| ) |  |  | `[read]`

void json_tokener_reset | ( | struct json_tokener * | tok | ) |

## Variable Documentation

const char* json_tokener_errors[]